Name:		luit
Version:	1.1.1
Release:	%mkrel 3
Summary:	Locale and ISO 2022 support for Unicode terminals
Group:		Development/X11
URL:			http://xorg.freedesktop.org
Source:	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Patch0:	luit-1.1.1-mdv-fix-CP866.patch
License:	MIT

BuildRequires:	libfontenc-devel >= 1.0.1
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
Luit is a filter that can be run between an arbitrary application and a UTF-8
terminal emulator. It will convert application output from the locale's
encoding into UTF-8, and convert terminal input from UTF-8 into the locale's
encoding.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b CP866.

%build
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-localealiasfile=%{_datadir}/X11/locale/locale.dir

%make

%install
%makeinstall_std


%files
%defattr(-,root,root)
%{_bindir}/luit
%{_mandir}/man1/luit.1*





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 359111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + bersuit <bersuit>
    - Add support to CP866

* Fri Jun 08 2012 tv <tv> 1.1.1-1.mga3
+ Revision: 257376
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.1.0-1.mga1
+ Revision: 26643
- imported package luit

